public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-plugins/browserpass/
Date: Sat,  4 Jun 2022 19:51:52 +0000 (UTC)	[thread overview]
Message-ID: <1654372307.dd42de0ac137bfc944c7dc9c9862e36d61f5aa55.mattst88@gentoo> (raw)

commit:     dd42de0ac137bfc944c7dc9c9862e36d61f5aa55
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sat Jun  4 19:49:31 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sat Jun  4 19:51:47 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dd42de0a

www-plugins/browserpass: Version bump to 3.0.10

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 www-plugins/browserpass/Manifest                  |  2 ++
 www-plugins/browserpass/browserpass-3.0.10.ebuild | 43 +++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/www-plugins/browserpass/Manifest b/www-plugins/browserpass/Manifest
index 343d276c7a1c..ee6544ebdf72 100644
--- a/www-plugins/browserpass/Manifest
+++ b/www-plugins/browserpass/Manifest
@@ -1,2 +1,4 @@
+DIST browserpass-3.0.10-deps.tar.xz 2508704 BLAKE2B 893aa8116bf6d021a9a8ca2b2fd7bcdc4686e8d3060a42255f702881b65c4cf20971e4c69b2f92520b9ad73439ffb92b73bc1013947a317840e4bdf090ea6439 SHA512 44e48d60e9656ef7b4ad74aebb9d2aa38ad42c77873143f857a1908daa81089544ef1b9cbc367e2566c910243e869a17203a8ecddd06650ff63c830defdf8244
+DIST browserpass-3.0.10.tar.gz 19242 BLAKE2B 822fb82b30b3f0faab5aad40af534f94b12636b476c9f704d8e1bd874e4dde2b2f4645553a43fcc79741aa06e30eac48bd26af8d6f868db0901330ecfaee6d35 SHA512 c8be34d3b0bd53f0d14f620826a223df44847ec7a2d6ee9fd9af776e640157bac2064a5eb21116942701d97e385f1d0bbf2c705a043e03ca62448db872c97c38
 DIST browserpass-3.0.9-deps.tar.xz 2502124 BLAKE2B 8d54b5a5f7b3852d9ad2053795e7d211911e97a1182b60797a18fe1b4300b9f69256ffca7539324bd1f6f345d58546696337070f1eb96bb3155c72ed93e426df SHA512 226334f6cccc48bdc04b38909dbd4127300f74b71884a0abce4c2678046e55cf4feed43634a3544a870ca98a908bf83d96c331f422b9c314516c45d0e5e5f790
 DIST browserpass-3.0.9.tar.gz 19260 BLAKE2B 51e99ba90e9c4e068e409a4a2c1811e4c95e87dee3d2d6ae58763b49065145e81ec90452496aecbd5595e8c9ba61fdfbd30790da9fbd92d48f0a80d8c43f8489 SHA512 967091176ff1a8ee184b61fcaa386a59f134e02dd7a064b3c16cb963d1334ca0a0d3281f1bfc150c69ec5d7f082abce9b811731902645d377a44f8fe4a31bc8f

diff --git a/www-plugins/browserpass/browserpass-3.0.10.ebuild b/www-plugins/browserpass/browserpass-3.0.10.ebuild
new file mode 100644
index 000000000000..086dfb387890
--- /dev/null
+++ b/www-plugins/browserpass/browserpass-3.0.10.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit go-module
+MY_PN=browserpass-native
+
+DESCRIPTION="WebExtension host binary for app-admin/pass, a UNIX password manager"
+HOMEPAGE="https://github.com/browserpass/browserpass-native"
+
+SRC_URI="https://github.com/browserpass/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
+	https://dev.gentoo.org/~mattst88/distfiles/${P}-deps.tar.xz"
+
+LICENSE="BSD ISC MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+RDEPEND="app-crypt/gnupg"
+
+S="${WORKDIR}"/${MY_PN}-${PV}
+
+src_compile() {
+	ego build || die
+
+	sed -e 's|%%replace%%|'${EPREFIX}'/usr/libexec/browserpass-native|' \
+		-i browser-files/firefox-host.json browser-files/chromium-host.json || die
+}
+
+src_install() {
+	exeinto /usr/libexec
+	doexe browserpass-native
+
+	insinto /usr/lib/mozilla/native-messaging-hosts
+	newins browser-files/firefox-host.json com.github.browserpass.native.json
+
+	insinto /usr/lib64/mozilla/native-messaging-hosts
+	newins browser-files/firefox-host.json com.github.browserpass.native.json
+
+	insinto /etc/chromium/native-messaging-hosts
+	newins browser-files/chromium-host.json com.github.browserpass.native.json
+
+	insinto /etc/opt/chrome/native-messaging-hosts
+	newins browser-files/chromium-host.json com.github.browserpass.native.json
+}


             reply	other threads:[~2022-06-04 19:51 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-06-04 19:51 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-05-30  3:22 [gentoo-commits] repo/gentoo:master commit in: www-plugins/browserpass/ Matt Turner
2023-04-09  2:10 Matt Turner
2022-11-10  5:06 Arthur Zamarin
2022-07-22 19:30 Matt Turner
2022-03-08  0:31 Matt Turner
2022-03-08  0:31 Matt Turner
2022-02-27  5:33 Matt Turner
2022-02-14  6:40 Matt Turner
2020-11-17  5:37 Matt Turner
2020-08-24 21:03 Matt Turner
2020-03-09  0:07 Matt Turner
2020-03-08 23:00 William Hubbs
2020-02-24 16:30 Matt Turner
2019-12-01 19:15 Matt Turner
2019-04-13 18:06 Matt Turner
2018-09-19  5:51 Matt Turner
2018-09-19  5:51 Matt Turner
2018-09-19  5:51 Matt Turner
2018-07-07 12:15 Jonas Stein
2018-03-30 18:08 Michał Górny
2018-02-07 20:15 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1654372307.dd42de0ac137bfc944c7dc9c9862e36d61f5aa55.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox